import { ApiProperty } from "@nestjs/swagger"

export class CreateGeolocationDto {
    @ApiProperty({description: "Longitude en degrés"})
    longitude: number
  
    @ApiProperty({description: "Latitude en degrés"})
    latitude: number
  
    @ApiProperty({description: "Vitesse en mètres par seconde"})
    speed: number
  
    @ApiProperty({description: "Précision en mètres de la position obtenue"})
    accuracy: number
  
    @ApiProperty({description: "Altitude en mètres"})
    altitude: number
  
    @ApiProperty({description: "Précision de l'altitude en mètres"})
    altitudeAccuracy: number
  
    @ApiProperty({description: "Date et heure de capture de la géolocalisation"})
    timestamp: Date
}
